#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n, k, x;
    cin >> n >> k >> x;

    int a[n];

    if(k == 3)
    {
        a[0] = a[1] = a[2] = 1;
        for(int i = 3; i < n-1; i++)
            a[i] = x;

        a[n-1] = x+1;

        for(int i = 0; i < n; i++)
            cout << a[i] << " ";
    }
}